WordPress.org

Plugin Directory

Test out the new Plugin Directory and let us know what you think.
!This plugin hasn’t been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Post By Email

Create new posts on your WordPress blog by sending email to a specific email address.

1.0.4b

  • Fixed bug where unicode characters weren't getting encoded correctly, and were truncating the post.
  • Fixed bug where changing some settings on the admin screen didn't enable the "Save Changes" button.

1.0.4

1.0.3

  • Added option to choose what to do when message senders don't match WP users (discard or set to pending).
  • Added shortcode support for custom taxonomy terms.
  • Added support for attachments.
  • Fixed some bugs in PHP 5.2.
  • Fixed bugs with the admin notices and default options.
  • Switched manual check to a trigger for do_action and disabled wp-mail.php entirely.

1.0.2

  • Support shortcodes to specify categories and tags.
  • Added PIN-based authentication.

1.0.1

  • Added tabs and additional options to options panel.
  • Admin banners for notices & errors.
  • Plugin is now disabled until user has configured the settings.

1.0.0

  • Added SSL and IMAP support.
  • Added option to mark emails "read" instead of deleting them after processing.
  • Added support for HTML formatted emails.
  • Refactored check_email function.
  • Fixed a bug that caused the log file to behave inconsistently.

0.9.9

  • Better logging, no more wp_die().
  • When email is checked manually, reschedule the next wp_cron check to an hour later.

0.9.8

  • Use wp_cron to schedule hourly mail checks.

0.9.7

  • Refactored Horde includes to autoload class files as needed.

0.9.6

  • Added workarounds to support PHP 5.2.
  • Moved admin functions into a separate class.

0.9.5

  • Using Horde IMAP library instead of old SquirrelMail class (still assumes POP3 server). This fixes a bug where post content was blank, and also lays some groundwork for later SSL/IMAP support.

0.9

  • Initial version (straight port from core)

Requires: 3.6 or higher
Compatible up to: 3.7.16
Last Updated: 3 years ago
Active Installs: 2,000+

Ratings

4.2 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
50,2,1
50,2,1
50,2,1
0,1,0
100,1,1
100,1,1